Update Payout Group
curl --request PUT \
--url https://api.paxos.com/v2/rewards/payout-groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"jurisdiction": "<string>"
}
'import requests
url = "https://api.paxos.com/v2/rewards/payout-groups/{id}"
payload = {
"name": "<string>",
"jurisdiction": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', jurisdiction: '<string>'})
};
fetch('https://api.paxos.com/v2/rewards/payout-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": {
"id": "<string>",
"ledger": "<string>",
"asset_type": "<string>",
"rate_id": "<string>",
"jurisdiction": "<string>",
"claimer_address": "<string>",
"balance": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"manager_address": "<string>",
"destination_address": "<string>",
"onchain_group_id": "<string>",
"balance_at": "2023-11-07T05:31:56Z",
"last_claim_all_at": "2023-11-07T05:31:56Z"
}
}Payout Groups
Update Payout Group
Updates a payout group. Any changes to a payout group which has an on-chain component will cause the unclaimed rewards for that group to be implicitly claimed. No details of the implicit claiming are returned in this API response.
PUT
/
rewards
/
payout-groups
/
{id}
Update Payout Group
OAuth Scope
rewards:update_payout_groups
Authorizations
OAuth2OAuth2
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
UUID direct reference to the existing payout group
Response
200 - application/json
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I